/* aclfs.cc 26/07/99 21.27.28 */
/* aclfsd.cc 26/07/99 21.33.40 */
/* acllib.cc 26/07/99 01.14.08 */
/* aclrights.cc 26/07/99 21.33.18 */
PUBLIC ACL_ITEM::ACL_ITEM (ACLTOK&tok, const ACL_LISTS&lists);
PUBLIC ACL_LIST::ACL_LIST (void);
PUBLIC void ACL_LIST::parse (ACLTOK&tok, ACL_LISTS&lists);
PUBLIC ACL_LIST::ACL_LIST (ACLTOK&tok, ACL_LISTS&lists);
PUBLIC ACL_LIST::~ACL_LIST (void);
PUBLIC void ACL_LIST::add (ACL_ITEM *item);
PUBLIC bool ACL_LIST::is_member (int uid, int gid)const;
PUBLIC void ACL_LIST::dump (const char *indent, FILE *fout);
PUBLIC ACL_LISTS::ACL_LISTS (void);
PUBLIC void ACL_LISTS::add (ACL_LIST *list);
PUBLIC ACL_LISTS::~ACL_LISTS (void);
PUBLIC ACL_CONTEXT::ACL_CONTEXT (ACLTOK&tok, ACL_LISTS&lists);
PUBLIC ACL_CONTEXTS::ACL_CONTEXTS (void);
PUBLIC void ACL_CONTEXTS::add (ACL_CONTEXT *ctx);
PUBLIC ACL_CONTEXTS::~ACL_CONTEXTS (void);
PUBLIC ACL_DIRITEM::ACL_DIRITEM (ACLTOK&tok, ACL_LISTS&lists);
PUBLIC ACL_DIRITEM::~ACL_DIRITEM (void);
PUBLIC ACL_DIRITEMS::ACL_DIRITEMS (void);
PUBLIC ACL_DIRITEMS::~ACL_DIRITEMS (void);
PUBLIC void ACL_DIRITEMS::add (ACL_DIRITEM *d);
PUBLIC ACL_DIR::ACL_DIR (const char *_path,
	 ACL_DIR *_next,
	 bool outlog);
PUBLIC void ACL_DIR::dump (FILE *fout);
PUBLIC int ACL_DIR::getrights (int uid,
	 int gid,
	 int pid,
	 const char *file);
/* acltok.cc 25/07/99 23.12.54 */
PUBLIC ACLTOK::ACLTOK (const char *_fname, FILE *_fin, bool _outlog);
PUBLIC ACLTOK::~ACLTOK (void);
PUBLIC int ACLTOK::getline (void)const;
PUBLIC ACLTOK_TYPE ACLTOK::next (void);
PUBLIC void ACLTOK::seterror (void);
PUBLIC bool ACLTOK::waserror (void);
PUBLIC void ACLTOK::logwarning (const char *ctl, ...);
PUBLIC void ACLTOK::logerror (const char *ctl, ...);
PUBLIC void ACLTOK::logsyntax (void);
PUBLIC int ACLTOK::cmp (const char *s);
